#import <3Dkit/3Dkit.h>
#import "Thinker.h"

@interface TeapotView:N3DCamera
{
	id teapot;
	id teapotsBox;
	id inspectorPanel;
	float dx, dy, dz;
	id theShader;
	RtPoint rotationAxis;
	float theta;

	id resolutionTextField;
	id resolutionSlider;
	id surfaceMatrix;
	int surfaceMatrixSelection;
	id colorWell;
}

- setResolutionFrom:sender;
- setColorFrom:sender;
- getTeapotColor;
- setSurfaceType:sender;
- getSurfaceType;

@end
