
#import <objc/Object.h>
@class Panel, TextField, NXStringTable, ThreeDPanel;

@interface GraphApp : Object {
    Panel *helpPanel;		/* outlet to our help panel */
    Panel *infoPanel;		/* outlet to our info panel */
    ThreeDPanel *threeDPanel;	/* outlet to our 3D control panel */
    TextField *versString;	/* outlet to the version string in the panel */
    NXStringTable *stringTable;	/* table of all strings in this app */
}

/* action methods for new, open and info menu commands */
- open:sender;
- new2D:sender;
- new3D:sender;
- showHelpPanel:sender;
- showInfoPanel:sender;
- showThreeDPanel:sender;
- (ThreeDPanel *)threeDPanel;

/* returns the string table */
- (NXStringTable *)stringTable;


@end
