
#import <appkit/Panel.h>
@class NXColorWell, Matrix, Slider, N3DCamera;

@interface ThreeDPanel : Panel {
    NXColorWell *surfaceColorWell;
    NXColorWell *backgroundColorWell;
    Matrix *rotateSliders;
    Matrix *shadingButtons;
    Slider *zoomSlider;
    N3DCamera *camera;
}

- changeSurfaceColor:sender;
- changeBackgroundColor:sender;
- changeZoom:sender;
- changeShading:sender;
- setCamera:obj;

@end

/* messages sent to the delegate of the window of the camera we are tracking.
   Since these messages are of interest to the objects managing the individual
   documents, it makes more sense to send them to camera's window's delegate
   instead of the delegate of the panel itself.
 */
@interface Object(ThreeDPanelDelegate)
- threeDPanelDidChangeDoc:(ThreeDPanel *)sender;
@end
