#import <appkit/View.h>

#define MAXCOLS 140
#define MAXROWS 104
#define COLORS 18
#define CHANGECOUNT 2000

@interface LifeView:View
{
	unsigned char g1[MAXCOLS][MAXROWS];
	unsigned char g2[MAXCOLS][MAXROWS];
	
	unsigned char (*grid)[MAXROWS];
	unsigned char (*oldGrid)[MAXROWS];
	
	int ncols, nrows;
	int countDown;
	
	float colorTable[COLORS];
	NXRect changed[CHANGECOUNT];
	
	int stasis[24];
	int sindex;

	id sharedInspectorPanel;
}

- oneStep;
- drawSquares;
- drawSelf:(const NXRect *)rects :(int)rectCount;
- (const char *) windowTitle;
- initFrame:(const NXRect *)frameRect;
- sizeTo:(NXCoord)width :(NXCoord)height;
- initLife;
- checkStasis:(int)checksum;
- inspector:sender;

@end

@interface StaticLifeView:LifeView
{
}
@end

