#import <appkit/Application.h>

@interface YapApp : Application
{
    id outputView;
    id infoPanel;
    id helpPanel;
    id prefsPanel;
    id findObject;
    id outputWidthField;
    id outputHeightField;
    id showCacheButton;
    id clearCacheButton;
}

- showInfo:sender;
- showHelp:sender;
- showPrefs:sender;

- newDocument:sender;
- openDocument:sender;

- (int)app:app openFile:(const char *)path type:(const char *)type;
- (BOOL)appAcceptsAnotherFile:sender;

- updateOutputWindowSize;

- outputView;
- outputWindow;

- updatePreferencesPanel:sender;
- okPreferencesPanel:sender;

@end
